pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: pkg/47697: pulseaudio fails to install on NetBSD/i386 5.2

The following reply was made to PR pkg/47697; it has been noted by GNATS.

From: "David H. Gutteridge" <>
Subject: Re: pkg/47697: pulseaudio fails to install on NetBSD/i386 5.2
Date: Mon, 23 Jun 2014 20:09:37 -0400

 On Mon, 23 Jun 2014, at 09:26:23 +0200, Thomas Klausner wrote:
 >On Sun, Jun 22, 2014 at 11:25:00PM +0000, David H. Gutteridge wrote:
 >> As for setting PKG_OPTIONS.pulseaudio=avahi to disable "x11", that
 >> doesn't work; the package still insists on enabling "x11", I just
 >> tested that.
 >Perhaps that's a misunderstanding how to modify options.
 >If you DO NOT want an option, you must write
 It is indeed. I see section 5.6 of the pkgsrc guide spells this out
 clearly. I should RTM first... I assume the original submitter had
 the same idea as me: that setting the variable would "clobber" any
 other potential settings, but the pkgsrc framework is more nuanced
 (I can see why it would be).
 >> I encountered the same situation with audio/libcanberra,
 >> where setting PKG_OPTIONS.libcanberra=gtk doesn't stop it from
 >> pulling in gtk3 as well.
 >Same here, since the gtk and gtk3 options are not conflicting.
 That makes sense. Thanks for your help!

Home | Main Index | Thread Index | Old Index